package com.cisdi.data.DHV.gateway.vo.dhv;

import java.io.Serializable;
import java.util.Date;

/**
 * @author jianghc
 * @function:
 * @date 2022年05月06日 16:25
 */
public class MPVVO implements Serializable {

    private String databaseName;

    private String measuringPointNumberOrTechID;

    private String assignmentTechIDorName;

    private Boolean shortMem;

    private Boolean longMem;

    private Integer maxCount;

    private String startDateTime;

    private String stopDateTime;

    private Integer mpktTech;

    private String expand;

    public String getParameter() {
        String para = "?placeholder=placeholder";//该参数无意义，用作占位符，方便后面拼接url，统一 &xxx=yyy
        if (shortMem != null) {
            para = para + ("&ShortMem=" + shortMem);
        } else {
            para = para + ("&ShortMem=" + true);
        }
        if (longMem != null) {
            para = para + ("&LongMem=" + longMem);
        } else {
            para = para + ("&LongMem=" + true);
        }
        if (maxCount != null) {
            para = para + ("&MaxCount=" + maxCount);
        }
//        if (startDateTime != null) {
//            para = para + ("&StartDateTime=" + startDateTime);
//
//        }
//        if (stopDateTime != null) {
//            para = para + ("&StartDateTime=" + startDateTime);
//        }
        if (mpktTech != null) {
            para = para + ("&MpktTech=" + mpktTech);
        }
        if (expand != null) {
            para = para + ("&Expand=" + expand);
        }
        return para;
    }

    public MPVVO() {

    }

    public String getDatabaseName() {
        return databaseName;
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public String getMeasuringPointNumberOrTechID() {
        return measuringPointNumberOrTechID;
    }

    public void setMeasuringPointNumberOrTechID(String measuringPointNumberOrTechID) {
        this.measuringPointNumberOrTechID = measuringPointNumberOrTechID;
    }

    public String getAssignmentTechIDorName() {
        return assignmentTechIDorName;
    }

    public void setAssignmentTechIDorName(String assignmentTechIDorName) {
        this.assignmentTechIDorName = assignmentTechIDorName;
    }

    public boolean isShortMem() {
        return shortMem;
    }

    public void setShortMem(Boolean shortMem) {
        this.shortMem = shortMem;
    }

    public boolean isLongMem() {
        return longMem;
    }

    public void setLongMem(Boolean longMem) {
        this.longMem = longMem;
    }

    public int getMaxCount() {
        return maxCount;
    }

    public void setMaxCount(Integer maxCount) {
        this.maxCount = maxCount;
    }

    public String getStartDateTime() {
        return startDateTime;
    }

    public void setStartDateTime(String startDateTime) {
        this.startDateTime = startDateTime;
    }

    public String getStopDateTime() {
        return stopDateTime;
    }

    public void setStopDateTime(String stopDateTime) {
        this.stopDateTime = stopDateTime;
    }

    public int getMpktTech() {
        return mpktTech;
    }

    public void setMpktTech(Integer mpktTech) {
        this.mpktTech = mpktTech;
    }

    public String getExpand() {
        return expand;
    }

    public void setExpand(String expand) {
        this.expand = expand;
    }
}
